

public class Account
{
	private int accountNumber;
	private float balance;
	private static int nextAccountNumber = 100000;
	private String owner;
	private boolean isClosed = false;

	public Account(String owner, float balance)
	{
	   accountNumber=nextAccountNumber++;
	   this.balance = balance;
	   this.owner = owner;
	}	

	public void makeLodgement(float amount)
	{
	   balance+=amount;
	}
	
	public boolean makeWithdrawal(float amount)
	{
	   if (amount <= balance)
	   {
		balance-=amount;
		return true;
	   }
	   else return false;
	}

	public void display()
	{
	   System.out.println("\nAn Account, with number:"+accountNumber);

	   if (this.isClosed)
	   {
		System.out.println("This account is closed:");
	   }
	   else
	   { 
	   	System.out.println("With balance: " + balance + " Euro.");
	   	System.out.println("And owner: " + owner);
	   }
	}
	
	public int getAccountNumber() { return accountNumber; }
	
	public void close()
	{
	   this.makeWithdrawal(balance);
	   this.isClosed = true;
	   this.display();
	}
}